@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Caveat&display=swap');

h1,
h2,
h3,
h4 {
    font-weight: 500;
}

h1,
.h1 {
    font-size: responsive 35px 40px;
    font-range: 420px 1280px;


    &--display {
        font-size: responsive 60px 100px;
        font-range: 420px 1280px;
    }
}

h2,
.h2 {
    font-size: responsive 30px 35px;
    font-range: 420px 1280px;


    &--display {
        font-size: responsive 40px 80px;
        font-range: 420px 1280px;
    }
}

h3,
.h3 {
    font-size: responsive 25px 30px;
    font-range: 420px 1280px;


    &--display {
        font-size: responsive 30px 40px;
        font-range: 420px 1280px; 
    }
}

h4,
.h4 {
    font-size: responsive 20px 25px;
    font-range: 420px 1280px;

    &--display {
        font-size: responsive 25px 30px;
        font-range: 420px 1280px; 
    }
}

p, li {
    font-size: responsive 16px 40px;
    font-range: 420px 1280px;
    line-height: 1.5em;
}

.lead {
    font-size: responsive 18px 22px;
    font-range: 420px 1280px;
    line-height: 1.65em;
}